Subject: Re: [PATCH v2 0/3] Teach fetch and pull to recursively fetch submodules too

From: Jonathan Nieder <[email-masked]>
Date: Wed, 6 Oct 2010 18:22:43 -0500

Kevin Ballard wrote:

> After thinking on it a bit, I think the best solution is to add a switch
> --submodules to fetch which will also fetch all submodules, but otherwise
> fetch will fetch no submodules.

For what it's worth, for my (odd) use cases, what would be most practical
is

	[remote "foo"]
		fetch = ...
		submodules = ...

I could care less about the defaults. :)

Rationale: I shouldn't have to explicitly use --submodules to get
everything I need to hack before dropping connectivity, but I also
don't want to pay the penalty of fetching, say, git-gui when I don't
need it.